4

I'm working on an Add-In for ArcMap 10.0 in .NET version 3.5. This add-in works fine with ArcMap 10.0. Now I want to use this add-in in ArcMap 9.3. But I couldn't add Add-In .dll file in ArcMap 9.3.

QUESTION:

Is there any process to use ArcMap 10.0 Add-In in ArcMap 9.3?

8

The add-in model is a new feature in version 10.0. This means you will not be able to use an add-in at lower versions, which require you to implement your commands, extensions, toolbars etc. in the older COM-only model.

  • Is there any different implement issue in older COM-only model? or I have to just recompile my toolbar in older sdk? – Emi Jul 10 '12 at 9:47
  • 1
    It's just a different way of extending ArcObjects, which was the only way at 9.3 and can of course still be used at 10. See the documentation for 9.3: resources.esri.com/help/9.3/ArcGISDesktop/dotnet/… – Petr Krebs Jul 10 '12 at 10:31

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.